---
version: "2"
# plugins:
#   csslint:
#     enabled: true
#   coffeelint:
#     enabled: true
#   duplication:
#     enabled: true
#     config:
#       languages:
#         - ruby
#         - javascript
#         - python
#         - php
#   eslint:
#     enabled: true
#     channel: __ESLINT_CHANNEL__
#   fixme:
#     enabled: true
#   rubocop:
#     enabled: true
checks:
  argument-count:
    enabled: false
  complex-logic:
    enabled: false
  file-lines:
    enabled: false
  method-complexity:
    enabled: false
  method-count:
    enabled: false
  method-lines:
    enabled: false
  nested-control-flow:
    enabled: false
  return-statements:
    enabled: false
  similar-code:
    enabled: false
  identical-code:
    enabled: false
plugins:
  # phpcodesniffer:
  #   enabled: true
  sonar-php:
    enabled: true


exclude_patterns:
  - config/
  - db/
  - dist/
  - features/
  - "**/node_modules/"
  - script/
  - "**/spec/"
  - "**/test/"
  - "**/tests/"
  - Tests/
  - "**/vendor/"
  - "**/*_test.go"
  - "**/*.d.ts"
  - "**/*.min.js"
  - "**/*.min.css"
  - "**/__tests__/"
  - "**/__mocks__/"
